Get menus for a location
curl --request GET \
--url https://api.craveup.com/api/v1/locations/{locationId}/menus \
--header 'X-API-Key: <api-key>'import requests
url = "https://api.craveup.com/api/v1/locations/{locationId}/menus"
headers = {"X-API-Key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'X-API-Key': '<api-key>'}};
fetch('https://api.craveup.com/api/v1/locations/{locationId}/menus', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"menus": [
{
"id": "menu_lunch",
"name": "Lunch",
"isActive": true,
"time": "11:00 AM - 3:00 PM",
"imageUrl": "https://cdn.craveup.com/menus/lunch.jpg",
"categories": [
{
"id": "cat_pizzas",
"name": "Pizzas",
"products": [
{
"id": "prod_margherita",
"name": "Margherita Pizza",
"description": "Tomato, basil, mozzarella.",
"price": "1800",
"displayPrice": "$18.00",
"currency": "usd",
"availability": "AVAILABLE",
"modifierIds": [
"mod_group_sauces"
],
"images": [
"https://cdn.craveup.com/products/margherita.png"
]
}
]
}
]
}
],
"popularProducts": [
{
"id": "prod_bbq_chicken",
"name": "BBQ Chicken Pizza",
"description": "Smoky BBQ sauce, chicken, red onions.",
"price": "2100",
"displayPrice": "$21.00",
"currency": "usd",
"availability": "AVAILABLE",
"modifierIds": [
"mod_group_extras"
],
"images": [
"https://cdn.craveup.com/products/bbq-chicken.png"
]
}
]
}{
"success": false,
"message": "Invalid input parameters",
"code": "BAD_REQUEST",
"data": {}
}{
"success": false,
"message": "Unauthorized access",
"code": "UNAUTHORIZED"
}{
"success": false,
"message": "An unexpected error occurred",
"code": "GENERIC_ERROR"
}Menus
Get menus for a location
Returns the active menus, categories, and products for the specified order date and time. Provide orderDate and orderTime to fetch the menu for a future scheduled order, or set menuOnly=true to fallback to the current menu.
GET
/
locations
/
{locationId}
/
menus
Get menus for a location
Authorizations
API Key required to authenticate requests
Path Parameters
⌘I